* generating the fitted values of migration and conducting the regressions;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

do C:\Alon\CRS_migration\dofiles\demo_dataset;
use C:\Alon\CRS_migration\Data\demo.dta;

gen hs_rgdpch00=hrgdpch00/srgdpch00;
gen hs_rgdpch90=hrgdpch90/srgdpch90;


reg mig2000low_new comlang distance sdomestic00low hdomestic00low hs_rgdpch00 h_old00 , robust;
predict fitmig2000low;

reg mig2000med_new comlang distance sdomestic00med hdomestic00med hs_rgdpch00 h_old00 , robust;
predict fitmig2000med;

reg mig2000high_new comlang distance sdomestic00high hdomestic00high hs_rgdpch00 h_old00 , robust;
predict fitmig2000high;

reg mig1990low_new comlang distance sdomestic90low hdomestic90low hs_rgdpch90 h_old90 , robust;
predict fitmig1990low;
outreg comlang distance sdomestic90low hdomestic90low hs_rgdpch90 h_old90
using "C:\Alon\CRS_migration\results\auxiliary", se bdec(3) tdec(3) nocons nolabel 3aster replace;

reg mig1990med_new comlang distance sdomestic90med hdomestic90med hs_rgdpch90 h_old90, robust;
predict fitmig1990med;
outreg comlang distance sdomestic90med hdomestic90med hs_rgdpch90 h_old90
using "C:\Alon\CRS_migration\results\auxiliary", se bdec(3) tdec(3) nocons nolabel 3aster append;

reg mig1990high_new comlang distance sdomestic90high hdomestic90high hs_rgdpch90 h_old90, robust;
predict fitmig1990high;
outreg comlang distance sdomestic90high hdomestic90high hs_rgdpch90 h_old90
using "C:\Alon\CRS_migration\results\auxiliary", se bdec(3) tdec(3) nocons nolabel 3aster append;

drop tmig2000* tmig1990*;

egen tmig2000high=total( mig2000high_new), by (scode);
egen tmig2000med=total( mig2000med_new), by (scode);
egen tmig2000low=total( mig2000low_new), by (scode);
egen tmig1990high=total( mig1990high_new), by (scode);
egen tmig1990med=total( mig1990med_new), by (scode);
egen tmig1990low=total( mig1990low_new), by (scode);

egen tfitmig2000high=total(fitmig2000high) , by (scode);
egen tfitmig2000med=total(fitmig2000med)   , by (scode);
egen tfitmig2000low=total(fitmig2000low)   , by (scode);

egen tfitmig1990high=total(fitmig1990high) , by (scode);
egen tfitmig1990med=total(fitmig1990med)   , by (scode);
egen tfitmig1990low=total(fitmig1990low)   , by (scode);

gen s_old90=.;
gen s_old00=.;
replace s_old90=	0.151635436	if scode==	122	;
replace s_old90=	0.159179128	if scode==	124	;
replace s_old90=	0.152290817	if scode==	128	;
replace s_old90=	0.141844297	if scode==	172	;
replace s_old90=	0.148784514	if scode==	132	;
replace s_old90=	0.154574552	if scode==	134	;
replace s_old90=	0.155987741	if scode==	174	;
replace s_old90=	0.113531568	if scode==	178	;
replace s_old90=	0.166971315	if scode==	136	;
replace s_old90=	0.132681729	if scode==	138	;
replace s_old90=	0.159079269	if scode==	142	;
replace s_old90=	0.146701945	if scode==	182	;
replace s_old90=	0.153628759	if scode==	184	;
replace s_old90=	0.174120354	if scode==	144	;
replace s_old90=	0.145559806	if scode==	146	;
replace s_old90=	0.157247601	if scode==	112	;

replace s_old00=	0.161928262	if scode==	122	;
replace s_old00=	0.172095116	if scode==	124	;
replace s_old00=	0.149926043	if scode==	128	;
replace s_old00=	0.156152932	if scode==	172	;
replace s_old00=	0.160269556	if scode==	132	;
replace s_old00=	0.18102098	if scode==	134	;
replace s_old00=	0.183720421	if scode==	174	;
replace s_old00=	0.114515934	if scode==	178	;
replace s_old00=	0.189566901	if scode==	136	;
replace s_old00=	0.139358612	if scode==	138	;
replace s_old00=	0.149033015	if scode==	142	;
replace s_old00=	0.167268069	if scode==	182	;
replace s_old00=	0.175231668	if scode==	184	;
replace s_old00=	0.173709438	if scode==	144	;
replace s_old00=	0.153549941	if scode==	146	;
replace s_old00=	0.157093327	if scode==	112	;


gen s_benefits00_05=.;
replace s_benefits00_05=	8050.083333	if scode==	122	;
replace s_benefits00_05=	7374.916667	if scode==	124	;
replace s_benefits00_05=	7973.566667	if scode==	128	;
replace s_benefits00_05=	6827.466667	if scode==	172	;
replace s_benefits00_05=	7370.2	if scode==	132	;
replace s_benefits00_05=	7014.483333	if scode==	134	;
replace s_benefits00_05=	4076.05	if scode==	174	;
replace s_benefits00_05=	4853.3	if scode==	178	;
replace s_benefits00_05=	6250.433333	if scode==	136	;
replace s_benefits00_05=	6109.366667	if scode==	138	;
replace s_benefits00_05=	8701.366667	if scode==	142	;
replace s_benefits00_05=	3669.62	if scode==	182	;
replace s_benefits00_05=	4706.266667	if scode==	184	;
replace s_benefits00_05=	8632.75	if scode==	144	;
replace s_benefits00_05=	6159.166667	if scode==	146	;
replace s_benefits00_05=	5506.1	if scode==	112	;


collapse tmig2000high tmig2000med tmig2000low tmig1990high tmig1990med tmig1990low 
tfitmig2000high tfitmig2000med tfitmig2000low tfitmig1990high tfitmig1990med tfitmig1990low 
sdomestic00high sdomestic00low sdomestic00med sdomestic90high sdomestic90low 
sdomestic90med s_benefits00_05 
srgdpch50 srgdpch60 srgdpch70 srgdpch80 srgdpch90 srgdpch00 
srgdpwok50 srgdpwok60 srgdpwok70 srgdpwok80 srgdpwok90 srgdpwok00 s_old90 s_old00 s_unemp90 s_unemp00 s_gini, by(scode);

gen source=".";
replace source="	Austria	" if scode==	122	;
replace source="	Belgium	" if scode==	124	;
replace source="	Denmark	" if scode==	128	;
replace source="	France	" if scode==	132	;
replace source="	Germany	" if scode==	134	;
replace source="	Italy	" if scode==	136	;
replace source="	Netherlands	" if scode==	138	;
replace source="	Norway	" if scode==	142	;
replace source="	Sweden	" if scode==	144	;
replace source="	Switzerland	" if scode==	146	;
replace source="	Finland	" if scode==	172	;
replace source="	Greece	" if scode==	174	;
replace source="	Ireland	" if scode==	178	;
replace source="	Portugal	" if scode==	182	;
replace source="	Spain	" if scode==	184	;
replace source="	UK	" if scode==	112	;

order scode source;
*the following is the active file of cross section data;
save C:\Alon\CRS_migration\Data\demo_source.dta,replace;

gen s_old00a=s_old00*100;
gen sdomestic00higha=sdomestic00high/1000;
gen sdomestic00meda=sdomestic00med/1000;
gen sdomestic00lowa=sdomestic00low/1000;
gen tmig1990higha=tmig1990high/1000;
gen tmig1990meda=tmig1990med/1000;
gen tmig1990lowa=tmig1990low/1000;
gen tfitmig1990higha=tfitmig1990high/1000;
gen tfitmig1990meda=tfitmig1990med/1000;
gen tfitmig1990lowa=tfitmig1990low/1000;
gen srgdpch00a=srgdpch00/1000;
gen lsrgdpch00=log(srgdpch00);
gen ls_old00a=log(s_old00a);


 
gen ls_benefits00_05=log(s_benefits00_05);
gen s_benefits00_05a=s_benefits00_05/1000;


***OLS using the migration data***;
/*
reg  h_benefits00_05 hrgdpch00a h_old00a hdomestic00higha hdomestic00lowa  tmig1990higha tmig1990lowa, robust;
outreg hrgdpch00a h_old00a hdomestic00higha hdomestic00lowa  tmig1990higha tmig1990lowa
using "C:\Alon\CRS_migration\results\demo", se bdec(3) tdec(3) nocons nolabel 3aster replace;


***OLS using the fitted value of the migration data***;

reg  h_benefits00_05 hrgdpch00a h_old00a hdomestic00higha hdomestic00lowa  tfitmig1990higha tfitmig1990lowa, robust;
outreg hrgdpch00a h_old00a hdomestic00higha hdomestic00lowa  tfitmig1990higha tfitmig1990lowa
using "C:\Alon\CRS_migration\results\demo", se bdec(3) tdec(3) nocons nolabel 3aster append;


***OLS using the migration data - medium***;

reg  h_benefits00_05 hrgdpch00a h_old00a hdomestic00meda hdomestic00lowa  tmig1990meda tmig1990lowa, robust;
outreg hrgdpch00a h_old00a hdomestic00meda hdomestic00lowa  tmig1990meda tmig1990lowa
using "C:\Alon\CRS_migration\results\demo2", se bdec(3) tdec(3) nocons nolabel 3aster replace;


***OLS using the fitted value of the migration data  - medium***;

reg  h_benefits00_05 hrgdpch00a h_old00a hdomestic00meda hdomestic00lowa  tfitmig1990meda tfitmig1990lowa, robust;
outreg hrgdpch00a h_old00a hdomestic00meda hdomestic00lowa  tfitmig1990meda tfitmig1990lowa
using "C:\Alon\CRS_migration\results\demo2", se bdec(3) tdec(3) nocons nolabel 3aster append;



