* generating the DEMO database for CRS;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

use C:\Alon\CR_migration\CR_database.dta;

keep if Free==1 ;

drop if scode==hcode;

keep source host scode hcode comlang distance hdomestic00high hdomestic00low hdomestic00med hdomestic90high 
hdomestic90low hdomestic90med mig1990high_new mig1990low_new mig1990med_new mig2000high_new mig2000low_new 
mig2000med_new  h_english h_french h_german h_scandinavian h_ger_fre s_defence h_defence s1990_itax h1990_itax
h2000_itax  h1990_igovjobs h1990_open s1990_igovjobs  s1990_open;


order scode source hcode host;
sort scode hcode;

egen tmig2000high=total( mig2000high_new), by (hcode);
egen tmig2000med=total( mig2000med_new), by (hcode);
egen tmig2000low=total( mig2000low_new), by (hcode);
egen tmig1990high=total( mig1990high_new), by (hcode);
egen tmig1990med=total( mig1990med_new), by (hcode);
egen tmig1990low=total( mig1990low_new), by (hcode);

gen h_benefits80_05=.;
gen h_benefits85_05=.;
gen h_benefits90_05=.;
gen h_benefits95_05=.;
gen h_benefits00_05=.;
gen hpop50=.;
gen hpop60=.;
gen hpop70=.;
gen hpop80=.;
gen hpop90=.;
gen hpop00=.;
gen hrgdpch50=.;
gen hrgdpch60=.;
gen hrgdpch70=.;
gen hrgdpch80=.;
gen hrgdpch90=.;
gen hrgdpch00=.;
gen hrgdpwok50=.;
gen hrgdpwok60=.;
gen hrgdpwok70=.;
gen hrgdpwok80=.;
gen hrgdpwok90=.;
gen hrgdpwok00=.;
gen srgdpch50=.;
gen srgdpch60=.;
gen srgdpch70=.;
gen srgdpch80=.;
gen srgdpch90=.;
gen srgdpch00=.;
gen srgdpwok50=.;
gen srgdpwok60=.;
gen srgdpwok70=.;
gen srgdpwok80=.;
gen srgdpwok90=.;
gen srgdpwok00=.;
gen h_old90=.;
gen h_old00=.;
gen h_unemp90=.;
gen h_unemp00=.;
gen s_unemp90=.;
gen s_unemp00=.;
gen sdomestic00high=.;
gen sdomestic00med=.;
gen sdomestic00low=.;
gen sdomestic90high=.;
gen sdomestic90med=.;
gen sdomestic90low=.;
gen h_gini=.;
gen s_gini=.;


** gov jobs is taken from DD file in "third work";
gen h2000_govjobs=.;				
replace h2000_govjobs=	0.1960656	if hcode==	112	;
replace h2000_govjobs=	0.1888425	if hcode==	122	;
replace h2000_govjobs=	0.1878924	if hcode==	124	;
replace h2000_govjobs=	0.2911849	if hcode==	128	;
replace h2000_govjobs=	0.2215546	if hcode==	132	;
replace h2000_govjobs=	0.1509884	if hcode==	134	;
replace h2000_govjobs=	0.1652604	if hcode==	136	;
replace h2000_govjobs=	0.1310429	if hcode==	138	;
replace h2000_govjobs=	0.2692367	if hcode==	142	;
replace h2000_govjobs=	0.312086	if hcode==	144	;
replace h2000_govjobs=	0.131864	if hcode==	146	;
replace h2000_govjobs=	0.2033728	if hcode==	172	;
replace h2000_govjobs=	0.1082215	if hcode==	174	;
replace h2000_govjobs=	0.1613773	if hcode==	178	;
replace h2000_govjobs=	0.134073	if hcode==	182	;
replace h2000_govjobs=	0.1205694	if hcode==	184	;
				
gen s2000_govjobs=.;				
replace s2000_govjobs=	0.1960656	if scode==	112	;
replace s2000_govjobs=	0.1888425	if scode==	122	;
replace s2000_govjobs=	0.1878924	if scode==	124	;
replace s2000_govjobs=	0.2911849	if scode==	128	;
replace s2000_govjobs=	0.2215546	if scode==	132	;
replace s2000_govjobs=	0.1509884	if scode==	134	;
replace s2000_govjobs=	0.1652604	if scode==	136	;
replace s2000_govjobs=	0.1310429	if scode==	138	;
replace s2000_govjobs=	0.2692367	if scode==	142	;
replace s2000_govjobs=	0.312086	if scode==	144	;
replace s2000_govjobs=	0.131864	if scode==	146	;
replace s2000_govjobs=	0.2033728	if scode==	172	;
replace s2000_govjobs=	0.1082215	if scode==	174	;
replace s2000_govjobs=	0.1613773	if scode==	178	;
replace s2000_govjobs=	0.134073	if scode==	182	;
replace s2000_govjobs=	0.1205694	if scode==	184	;


replace h_unemp90=	4.121428571	if hcode==	122	;
replace h_unemp90=	8.4725	if hcode==	124	;
replace h_unemp90=	6.92	if hcode==	128	;
replace h_unemp90=	11.87833333	if hcode==	172	;
replace h_unemp90=	10.4975	if hcode==	132	;
replace h_unemp90=	7.743014029	if hcode==	134	;
replace h_unemp90=	8.98	if hcode==	174	;
replace h_unemp90=	12.0575	if hcode==	178	;
replace h_unemp90=	10.2575	if hcode==	136	;
replace h_unemp90=	5.4175	if hcode==	138	;
replace h_unemp90=	5.158333333	if hcode==	142	;
replace h_unemp90=	5.603333333	if hcode==	182	;
replace h_unemp90=	15.905	if hcode==	184	;
replace h_unemp90=	7.205	if hcode==	144	;
replace h_unemp90=	3.611329418	if hcode==	146	;
replace h_unemp90=	7.991666667	if hcode==	112	;
				
replace h_unemp00=	4.359375	if hcode==	122	;
replace h_unemp00=	7.722916667	if hcode==	124	;
replace h_unemp00=	4.60625	if hcode==	128	;
replace h_unemp00=	8.583333333	if hcode==	172	;
replace h_unemp00=	8.871875	if hcode==	132	;
replace h_unemp00=	8.925	if hcode==	134	;
replace h_unemp00=	9.95	if hcode==	174	;
replace h_unemp00=	4.426041667	if hcode==	178	;
replace h_unemp00=	8.13125	if hcode==	136	;
replace h_unemp00=	3.492708333	if hcode==	138	;
replace h_unemp00=	3.809375	if hcode==	142	;
replace h_unemp00=	6.23125	if hcode==	182	;
replace h_unemp00=	10.02395833	if hcode==	184	;
replace h_unemp00=	5.973958333	if hcode==	144	;
replace h_unemp00=	3.64885701	if hcode==	146	;
replace h_unemp00=	5.083333333	if hcode==	112	;

replace s_unemp90=	4.121428571	if scode==	122	;
replace s_unemp90=	8.4725	if scode==	124	;
replace s_unemp90=	6.92	if scode==	128	;
replace s_unemp90=	11.87833333	if scode==	172	;
replace s_unemp90=	10.4975	if scode==	132	;
replace s_unemp90=	7.743014029	if scode==	134	;
replace s_unemp90=	8.98	if scode==	174	;
replace s_unemp90=	12.0575	if scode==	178	;
replace s_unemp90=	10.2575	if scode==	136	;
replace s_unemp90=	5.4175	if scode==	138	;
replace s_unemp90=	5.158333333	if scode==	142	;
replace s_unemp90=	5.603333333	if scode==	182	;
replace s_unemp90=	15.905	if scode==	184	;
replace s_unemp90=	7.205	if scode==	144	;
replace s_unemp90=	3.611329418	if scode==	146	;
replace s_unemp90=	7.991666667	if scode==	112	;
				
replace s_unemp00=	4.359375	if scode==	122	;
replace s_unemp00=	7.722916667	if scode==	124	;
replace s_unemp00=	4.60625	if scode==	128	;
replace s_unemp00=	8.583333333	if scode==	172	;
replace s_unemp00=	8.871875	if scode==	132	;
replace s_unemp00=	8.925	if scode==	134	;
replace s_unemp00=	9.95	if scode==	174	;
replace s_unemp00=	4.426041667	if scode==	178	;
replace s_unemp00=	8.13125	if scode==	136	;
replace s_unemp00=	3.492708333	if scode==	138	;
replace s_unemp00=	3.809375	if scode==	142	;
replace s_unemp00=	6.23125	if scode==	182	;
replace s_unemp00=	10.02395833	if scode==	184	;
replace s_unemp00=	5.973958333	if scode==	144	;
replace s_unemp00=	3.64885701	if scode==	146	;
replace s_unemp00=	5.083333333	if scode==	112	;

replace h_old90=	0.151635436	if hcode==	122	;
replace h_old90=	0.159179128	if hcode==	124	;
replace h_old90=	0.152290817	if hcode==	128	;
replace h_old90=	0.141844297	if hcode==	172	;
replace h_old90=	0.148784514	if hcode==	132	;
replace h_old90=	0.154574552	if hcode==	134	;
replace h_old90=	0.155987741	if hcode==	174	;
replace h_old90=	0.113531568	if hcode==	178	;
replace h_old90=	0.166971315	if hcode==	136	;
replace h_old90=	0.132681729	if hcode==	138	;
replace h_old90=	0.159079269	if hcode==	142	;
replace h_old90=	0.146701945	if hcode==	182	;
replace h_old90=	0.153628759	if hcode==	184	;
replace h_old90=	0.174120354	if hcode==	144	;
replace h_old90=	0.145559806	if hcode==	146	;
replace h_old90=	0.157247601	if hcode==	112	;


replace h_old00=	0.161928262	if hcode==	122	;
replace h_old00=	0.172095116	if hcode==	124	;
replace h_old00=	0.149926043	if hcode==	128	;
replace h_old00=	0.156152932	if hcode==	172	;
replace h_old00=	0.160269556	if hcode==	132	;
replace h_old00=	0.18102098	if hcode==	134	;
replace h_old00=	0.183720421	if hcode==	174	;
replace h_old00=	0.114515934	if hcode==	178	;
replace h_old00=	0.189566901	if hcode==	136	;
replace h_old00=	0.139358612	if hcode==	138	;
replace h_old00=	0.149033015	if hcode==	142	;
replace h_old00=	0.167268069	if hcode==	182	;
replace h_old00=	0.175231668	if hcode==	184	;
replace h_old00=	0.173709438	if hcode==	144	;
replace h_old00=	0.153549941	if hcode==	146	;
replace h_old00=	0.157093327	if hcode==	112	;



replace h_benefits80_05=	6888.288889	if hcode==	122	;
replace h_benefits80_05=	6089.146154	if hcode==	124	;
replace h_benefits80_05=	6470.65	if hcode==	128	;
replace h_benefits80_05=	5536.607692	if hcode==	172	;
replace h_benefits80_05=	5875.742308	if hcode==	132	;
replace h_benefits80_05=	5419.707692	if hcode==	134	;
replace h_benefits80_05=	2844.884615	if hcode==	174	;
replace h_benefits80_05=	3133.023077	if hcode==	178	;
replace h_benefits80_05=	4830.873077	if hcode==	136	;
replace h_benefits80_05=	5636.057692	if hcode==	138	;
replace h_benefits80_05=	7250.4	if hcode==	142	;
replace h_benefits80_05=	2125.02	if hcode==	182	;
replace h_benefits80_05=	3474.369231	if hcode==	184	;
replace h_benefits80_05=	7276.957692	if hcode==	144	;
replace h_benefits80_05=	4843.557692	if hcode==	146	;
replace h_benefits80_05=	4251.030769	if hcode==	112	;
replace h_benefits85_05=	7038.547059	if hcode==	122	;
replace h_benefits85_05=	6397.342857	if hcode==	124	;
replace h_benefits85_05=	6862.647619	if hcode==	128	;
replace h_benefits85_05=	6033.238095	if hcode==	172	;
replace h_benefits85_05=	6310.042857	if hcode==	132	;
replace h_benefits85_05=	5831.090476	if hcode==	134	;
replace h_benefits85_05=	3052.390476	if hcode==	174	;
replace h_benefits85_05=	3405.066667	if hcode==	178	;
replace h_benefits85_05=	5149.357143	if hcode==	136	;
replace h_benefits85_05=	5788.638095	if hcode==	138	;
replace h_benefits85_05=	7441.289474	if hcode==	142	;
replace h_benefits85_05=	2401.625	if hcode==	182	;
replace h_benefits85_05=	3783.166667	if hcode==	184	;
replace h_benefits85_05=	7697.880952	if hcode==	144	;
replace h_benefits85_05=	5135.814286	if hcode==	146	;
replace h_benefits85_05=	4517.490476	if hcode==	112	;
replace h_benefits90_05=	7170.70625	if hcode==	122	;
replace h_benefits90_05=	6729.7375	if hcode==	124	;
replace h_benefits90_05=	7308.08125	if hcode==	128	;
replace h_benefits90_05=	6472.53125	if hcode==	172	;
replace h_benefits90_05=	6683.69375	if hcode==	132	;
replace h_benefits90_05=	6362.7125	if hcode==	134	;
replace h_benefits90_05=	3281.825	if hcode==	174	;
replace h_benefits90_05=	3647.3125	if hcode==	178	;
replace h_benefits90_05=	5440.425	if hcode==	136	;
replace h_benefits90_05=	5989.03125	if hcode==	138	;
replace h_benefits90_05=	7769.1875	if hcode==	142	;
replace h_benefits90_05=	2793	if hcode==	182	;
replace h_benefits90_05=	4149.73125	if hcode==	184	;
replace h_benefits90_05=	8030.5	if hcode==	144	;
replace h_benefits90_05=	5453.7	if hcode==	146	;
replace h_benefits90_05=	4777.875	if hcode==	112	;
replace h_benefits95_05=	7640.918182	if hcode==	122	;
replace h_benefits95_05=	7040.236364	if hcode==	124	;
replace h_benefits95_05=	7709.327273	if hcode==	128	;
replace h_benefits95_05=	6617.818182	if hcode==	172	;
replace h_benefits95_05=	7070.236364	if hcode==	132	;
replace h_benefits95_05=	6756.090909	if hcode==	134	;
replace h_benefits95_05=	3606.045455	if hcode==	174	;
replace h_benefits95_05=	4113.154545	if hcode==	178	;
replace h_benefits95_05=	5826.554545	if hcode==	136	;
replace h_benefits95_05=	5981.281818	if hcode==	138	;
replace h_benefits95_05=	8289.309091	if hcode==	142	;
replace h_benefits95_05=	3189.11	if hcode==	182	;
replace h_benefits95_05=	4366.236364	if hcode==	184	;
replace h_benefits95_05=	8212.063636	if hcode==	144	;
replace h_benefits95_05=	5844.554545	if hcode==	146	;
replace h_benefits95_05=	5100.436364	if hcode==	112	;
replace h_benefits00_05=	8050.083333	if hcode==	122	;
replace h_benefits00_05=	7374.916667	if hcode==	124	;
replace h_benefits00_05=	7973.566667	if hcode==	128	;
replace h_benefits00_05=	6827.466667	if hcode==	172	;
replace h_benefits00_05=	7370.2	if hcode==	132	;
replace h_benefits00_05=	7014.483333	if hcode==	134	;
replace h_benefits00_05=	4076.05	if hcode==	174	;
replace h_benefits00_05=	4853.3	if hcode==	178	;
replace h_benefits00_05=	6250.433333	if hcode==	136	;
replace h_benefits00_05=	6109.366667	if hcode==	138	;
replace h_benefits00_05=	8701.366667	if hcode==	142	;
replace h_benefits00_05=	3669.62	if hcode==	182	;
replace h_benefits00_05=	4706.266667	if hcode==	184	;
replace h_benefits00_05=	8632.75	if hcode==	144	;
replace h_benefits00_05=	6159.166667	if hcode==	146	;
replace h_benefits00_05=	5506.1	if hcode==	112	;


/*
the following used to create the averages of pop and gdp, which was copied to the excel and then pasted afterwards in this
dofile:
save C:\Alon\CRS_migration\Data\demo, replace;

use  C:\Alon\CRS_migration\Data\gdp_hpopulation;
egen hpop50=mean(pop) if year> 1949 & year <1960, by(country);
egen hpop60=mean(pop) if year> 1959 & year <1970, by(country);
egen hpop70=mean(pop) if year> 1969 & year <1980, by(country);
egen hpop80=mean(pop) if year> 1979 & year <1990, by(country);
egen hpop90=mean(pop) if year> 1989 & year <2000, by(country);
egen hpop00=mean(pop) if year> 1999 		     , by(country);

egen hrgdpch50=mean(rgdpch) if year> 1949 & year <1960, by(country);
egen hrgdpch60=mean(rgdpch) if year> 1959 & year <1970, by(country);
egen hrgdpch70=mean(rgdpch) if year> 1969 & year <1980, by(country);
egen hrgdpch80=mean(rgdpch) if year> 1979 & year <1990, by(country);
egen hrgdpch90=mean(rgdpch) if year> 1989 & year <2000, by(country);
egen hrgdpch00=mean(rgdpch) if year> 1999 		     , by(country);

egen hrgdpwok50=mean(rgdpwok) if year> 1949 & year <1960, by(country);
egen hrgdpwok60=mean(rgdpwok) if year> 1959 & year <1970, by(country);
egen hrgdpwok70=mean(rgdpwok) if year> 1969 & year <1980, by(country);
egen hrgdpwok80=mean(rgdpwok) if year> 1979 & year <1990, by(country);
egen hrgdpwok90=mean(rgdpwok) if year> 1989 & year <2000, by(country);
egen hrgdpwok00=mean(rgdpwok) if year> 1999 		 , by(country);

drop  countryisocode year hpop hrgdpch hrgdpwok;
collapse  hpop50 hpop60 hpop70 hpop80 hpop90 hpop00 hrgdpch50 hrgdpch60 
hrgdpch70 hrgdpch80 hrgdpch90 hrgdpch00 hrgdpwok50 hrgdpwok60 hrgdpwok70 hrgdpwok80 hrgdpwok90 hrgdpwok00, by(country);
*/


replace hpop50=	6955.388	if hcode==	122	;
replace hpop50=	8850.014	if hcode==	124	;
replace hpop50=	4418.793	if hcode==	128	;
replace hpop50=	4207.274	if hcode==	172	;
replace hpop50=	43320.83	if hcode==	132	;
replace hpop50=	70185.43	if hcode==	134	;
replace hpop50=	7924.171	if hcode==	174	;
replace hpop50=	2919.007	if hcode==	178	;
replace hpop50=	48477.45	if hcode==	136	;
replace hpop50=	10698.25	if hcode==	138	;
replace hpop50=	3410.364	if hcode==	142	;
replace hpop50=	8582.551	if hcode==	182	;
replace hpop50=	29085.21	if hcode==	184	;
replace hpop50=	7235.243	if hcode==	144	;
replace hpop50=	4960.25	if hcode==	146	;
replace hpop50=	50396.28	if hcode==	112	;
replace hpop60=	7243.58	if hcode==	122	;
replace hpop60=	9414.921	if hcode==	124	;
replace hpop60=	4739.094	if hcode==	128	;
replace hpop60=	4536.258	if hcode==	172	;
replace hpop60=	48273.77	if hcode==	132	;
replace hpop60=	75524.39	if hcode==	134	;
replace hpop60=	8536.9	if hcode==	174	;
replace hpop60=	2871.602	if hcode==	178	;
replace hpop60=	51882.81	if hcode==	136	;
replace hpop60=	12204.81	if hcode==	138	;
replace hpop60=	3711.2	if hcode==	142	;
replace hpop60=	8903.069	if hcode==	182	;
replace hpop60=	31906.51	if hcode==	184	;
replace hpop60=	7719.209	if hcode==	144	;
replace hpop60=	5783.277	if hcode==	146	;
replace hpop60=	53243.99	if hcode==	112	;
replace hpop70=	7547.028	if hcode==	122	;
replace hpop70=	9775.059	if hcode==	124	;
replace hpop70=	5038.733	if hcode==	128	;
replace hpop70=	4692.352	if hcode==	172	;
replace hpop70=	52386.14	if hcode==	132	;
replace hpop70=	78530.98	if hcode==	134	;
replace hpop70=	9079.157	if hcode==	174	;
replace hpop70=	3153.274	if hcode==	178	;
replace hpop70=	55201.12	if hcode==	136	;
replace hpop70=	13586.87	if hcode==	138	;
replace hpop70=	3987.283	if hcode==	142	;
replace hpop70=	9083.015	if hcode==	182	;
replace hpop70=	35452.3	if hcode==	184	;
replace hpop70=	8178.303	if hcode==	144	;
replace hpop70=	6295.842	if hcode==	146	;
replace hpop70=	55296.53	if hcode==	112	;
replace hpop80=	7588.025	if hcode==	122	;
replace hpop80=	9874.847	if hcode==	124	;
replace hpop80=	5120.109	if hcode==	128	;
replace hpop80=	4881.91	if hcode==	172	;
replace hpop80=	55141.96	if hcode==	132	;
replace hpop80=	78090.05	if hcode==	134	;
replace hpop80=	9896.374	if hcode==	174	;
replace hpop80=	3500.041	if hcode==	178	;
replace hpop80=	56576.75	if hcode==	136	;
replace hpop80=	14476.58	if hcode==	138	;
replace hpop80=	4148.777	if hcode==	142	;
replace hpop80=	9953.739	if hcode==	182	;
replace hpop80=	38390.86	if hcode==	184	;
replace hpop80=	8371.558	if hcode==	144	;
replace hpop80=	6523.918	if hcode==	146	;
replace hpop80=	55990.25	if hcode==	112	;
replace hpop90=	7970.087	if hcode==	122	;
replace hpop90=	10119.6	if hcode==	124	;
replace hpop90=	5221.946	if hcode==	128	;
replace hpop90=	5086.617	if hcode==	172	;
replace hpop90=	57992.38	if hcode==	132	;
replace hpop90=	81207.03	if hcode==	134	;
replace hpop90=	10577.93	if hcode==	174	;
replace hpop90=	3608.125	if hcode==	178	;
replace hpop90=	57207.62	if hcode==	136	;
replace hpop90=	15397.49	if hcode==	138	;
replace hpop90=	4351.247	if hcode==	142	;
replace hpop90=	10044	if hcode==	182	;
replace hpop90=	39853.81	if hcode==	184	;
replace hpop90=	8763.936	if hcode==	144	;
replace hpop90=	6989.895	if hcode==	146	;
replace hpop90=	57590.47	if hcode==	112	;
replace hpop00=	8130.97	if hcode==	122	;
replace hpop00=	10354.05	if hcode==	124	;
replace hpop00=	5378.006	if hcode==	128	;
replace hpop00=	5205.616	if hcode==	172	;
replace hpop00=	59762.11	if hcode==	132	;
replace hpop00=	82501.3	if hcode==	134	;
replace hpop00=	11042.23	if hcode==	174	;
replace hpop00=	3936.702	if hcode==	178	;
replace hpop00=	57877.18	if hcode==	136	;
replace hpop00=	16064.03	if hcode==	138	;
replace hpop00=	4551.168	if hcode==	142	;
replace hpop00=	10332.09	if hcode==	182	;
replace hpop00=	41647	if hcode==	184	;
replace hpop00=	8937.916	if hcode==	144	;
replace hpop00=	7206.766	if hcode==	146	;
replace hpop00=	59077.14	if hcode==	112	;

replace hrgdpch50=	6102.86	if hcode==	122	;
replace hrgdpch50=	7103.791	if hcode==	124	;
replace hrgdpch50=	9291.629	if hcode==	128	;
replace hrgdpch50=	6235.879	if hcode==	172	;
replace hrgdpch50=	6999.594	if hcode==	132	;
replace hrgdpch50=	.	if hcode==	134	;
replace hrgdpch50=	3376.47	if hcode==	174	;
replace hrgdpch50=	4729.002	if hcode==	178	;
replace hrgdpch50=	5380.066	if hcode==	136	;
replace hrgdpch50=	8675.932	if hcode==	138	;
replace hrgdpch50=	8389.135	if hcode==	142	;
replace hrgdpch50=	2944.497	if hcode==	182	;
replace hrgdpch50=	3882.103	if hcode==	184	;
replace hrgdpch50=	9520.243	if hcode==	144	;
replace hrgdpch50=	12541.08	if hcode==	146	;
replace hrgdpch50=	9037.892	if hcode==	112	;
replace hrgdpch60=	10025.15	if hcode==	122	;
replace hrgdpch60=	9852.953	if hcode==	124	;
replace hrgdpch60=	13837.85	if hcode==	128	;
replace hrgdpch60=	9269.069	if hcode==	172	;
replace hrgdpch60=	10534.08	if hcode==	132	;
replace hrgdpch60=	.	if hcode==	134	;
replace hrgdpch60=	5848.721	if hcode==	174	;
replace hrgdpch60=	6317.512	if hcode==	178	;
replace hrgdpch60=	9031.284	if hcode==	136	;
replace hrgdpch60=	12156.74	if hcode==	138	;
replace hrgdpch60=	11261.53	if hcode==	142	;
replace hrgdpch60=	4896.287	if hcode==	182	;
replace hrgdpch60=	7027.959	if hcode==	184	;
replace hrgdpch60=	13143.77	if hcode==	144	;
replace hrgdpch60=	17638.82	if hcode==	146	;
replace hrgdpch60=	11381.61	if hcode==	112	;
replace hrgdpch70=	15249.54	if hcode==	122	;
replace hrgdpch70=	14637.78	if hcode==	124	;
replace hrgdpch70=	17885.53	if hcode==	128	;
replace hrgdpch70=	13608.23	if hcode==	172	;
replace hrgdpch70=	15368.16	if hcode==	132	;
replace hrgdpch70=	15358.66	if hcode==	134	;
replace hrgdpch70=	10429.44	if hcode==	174	;
replace hrgdpch70=	9050.033	if hcode==	178	;
replace hrgdpch70=	13269.63	if hcode==	136	;
replace hrgdpch70=	16670.6	if hcode==	138	;
replace hrgdpch70=	16087.05	if hcode==	142	;
replace hrgdpch70=	8524.783	if hcode==	182	;
replace hrgdpch70=	11160.76	if hcode==	184	;
replace hrgdpch70=	16866.54	if hcode==	144	;
replace hrgdpch70=	21982.19	if hcode==	146	;
replace hrgdpch70=	14332.57	if hcode==	112	;
replace hrgdpch80=	19217.05	if hcode==	122	;
replace hrgdpch80=	17850.88	if hcode==	124	;
replace hrgdpch80=	20434.12	if hcode==	128	;
replace hrgdpch80=	17581.63	if hcode==	172	;
replace hrgdpch80=	18738.3	if hcode==	132	;
replace hrgdpch80=	18449.01	if hcode==	134	;
replace hrgdpch80=	11510.73	if hcode==	174	;
replace hrgdpch80=	11039.57	if hcode==	178	;
replace hrgdpch80=	17022.57	if hcode==	136	;
replace hrgdpch80=	18462.77	if hcode==	138	;
replace hrgdpch80=	21685.45	if hcode==	142	;
replace hrgdpch80=	10752.99	if hcode==	182	;
replace hrgdpch80=	12852.36	if hcode==	184	;
replace hrgdpch80=	19436.71	if hcode==	144	;
replace hrgdpch80=	24800.54	if hcode==	146	;
replace hrgdpch80=	17047.41	if hcode==	112	;
replace hrgdpch90=	23784.16	if hcode==	122	;
replace hrgdpch90=	21886.69	if hcode==	124	;
replace hrgdpch90=	24247.47	if hcode==	128	;
replace hrgdpch90=	18904.07	if hcode==	172	;
replace hrgdpch90=	22137.17	if hcode==	132	;
replace hrgdpch90=	22839.14	if hcode==	134	;
replace hrgdpch90=	12438.06	if hcode==	174	;
replace hrgdpch90=	16824.58	if hcode==	178	;
replace hrgdpch90=	20453.6	if hcode==	136	;
replace hrgdpch90=	22640.14	if hcode==	138	;
replace hrgdpch90=	28065.79	if hcode==	142	;
replace hrgdpch90=	14872.49	if hcode==	182	;
replace hrgdpch90=	16539.52	if hcode==	184	;
replace hrgdpch90=	21799.24	if hcode==	144	;
replace hrgdpch90=	27110.27	if hcode==	146	;
replace hrgdpch90=	21198.22	if hcode==	112	;
replace hrgdpch00=	27452.18	if hcode==	122	;
replace hrgdpch00=	25147.83	if hcode==	124	;
replace hrgdpch00=	28000.57	if hcode==	128	;
replace hrgdpch00=	23501.24	if hcode==	172	;
replace hrgdpch00=	25579.75	if hcode==	132	;
replace hrgdpch00=	25286.56	if hcode==	134	;
replace hrgdpch00=	15187.71	if hcode==	174	;
replace hrgdpch00=	27102.46	if hcode==	178	;
replace hrgdpch00=	22863.02	if hcode==	136	;
replace hrgdpch00=	26355.58	if hcode==	138	;
replace hrgdpch00=	33886.2	if hcode==	142	;
replace hrgdpch00=	17435.93	if hcode==	182	;
replace hrgdpch00=	20301.59	if hcode==	184	;
replace hrgdpch00=	25921.3	if hcode==	144	;
replace hrgdpch00=	28982.11	if hcode==	146	;
replace hrgdpch00=	25625.15	if hcode==	112	;

replace hrgdpwok50=	12452.02	if hcode==	122	;
replace hrgdpwok50=	17981.78	if hcode==	124	;
replace hrgdpwok50=	19670.69	if hcode==	128	;
replace hrgdpwok50=	13002.01	if hcode==	172	;
replace hrgdpwok50=	15657.58	if hcode==	132	;
replace hrgdpwok50=.		if hcode==	134	;
replace hrgdpwok50=	8282.328	if hcode==	174	;
replace hrgdpwok50=	11402.27	if hcode==	178	;
replace hrgdpwok50=	12633.55	if hcode==	136	;
replace hrgdpwok50=	22515.56	if hcode==	138	;
replace hrgdpwok50=	20421.2	if hcode==	142	;
replace hrgdpwok50=	7358.394	if hcode==	182	;
replace hrgdpwok50=	10011.95	if hcode==	184	;
replace hrgdpwok50=	21989.06	if hcode==	144	;
replace hrgdpwok50=	27209.52	if hcode==	146	;
replace hrgdpwok50=	19556.73	if hcode==	112	;
replace hrgdpwok60=	22250.85	if hcode==	122	;
replace hrgdpwok60=	25974.3	if hcode==	124	;
replace hrgdpwok60=	29500.29	if hcode==	128	;
replace hrgdpwok60=	19857.64	if hcode==	172	;
replace hrgdpwok60=	24550.54	if hcode==	132	;
replace hrgdpwok60=.		if hcode==	134	;
replace hrgdpwok60=	14729.41	if hcode==	174	;
replace hrgdpwok60=	16291.42	if hcode==	178	;
replace hrgdpwok60=	22408.45	if hcode==	136	;
replace hrgdpwok60=	33229.38	if hcode==	138	;
replace hrgdpwok60=	27947.13	if hcode==	142	;
replace hrgdpwok60=	12576.95	if hcode==	182	;
replace hrgdpwok60=	18399.43	if hcode==	184	;
replace hrgdpwok60=	29159.06	if hcode==	144	;
replace hrgdpwok60=	37716.38	if hcode==	146	;
replace hrgdpwok60=	24687.91	if hcode==	112	;
replace hrgdpwok70=	35143.18	if hcode==	122	;
replace hrgdpwok70=	37840.77	if hcode==	124	;
replace hrgdpwok70=	35452.86	if hcode==	128	;
replace hrgdpwok70=	27759.9	if hcode==	172	;
replace hrgdpwok70=	35442.05	if hcode==	132	;
replace hrgdpwok70=	32934.87	if hcode==	134	;
replace hrgdpwok70=	26810.78	if hcode==	174	;
replace hrgdpwok70=	24097.63	if hcode==	178	;
replace hrgdpwok70=	33540.1	if hcode==	136	;
replace hrgdpwok70=	43574.59	if hcode==	138	;
replace hrgdpwok70=	36317.33	if hcode==	142	;
replace hrgdpwok70=	19893.26	if hcode==	182	;
replace hrgdpwok70=	29725.8	if hcode==	184	;
replace hrgdpwok70=	34850.11	if hcode==	144	;
replace hrgdpwok70=	46269.12	if hcode==	146	;
replace hrgdpwok70=	30597.55	if hcode==	112	;
replace hrgdpwok80=	42289.06	if hcode==	122	;
replace hrgdpwok80=	44354.74	if hcode==	124	;
replace hrgdpwok80=	37363.51	if hcode==	128	;
replace hrgdpwok80=	34502.13	if hcode==	172	;
replace hrgdpwok80=	42676.02	if hcode==	132	;
replace hrgdpwok80=	37718.66	if hcode==	134	;
replace hrgdpwok80=	28756.12	if hcode==	174	;
replace hrgdpwok80=	29687.52	if hcode==	178	;
replace hrgdpwok80=	41112.73	if hcode==	136	;
replace hrgdpwok80=	43230.72	if hcode==	138	;
replace hrgdpwok80=	44461.18	if hcode==	142	;
replace hrgdpwok80=	22447.61	if hcode==	182	;
replace hrgdpwok80=	33085.3	if hcode==	184	;
replace hrgdpwok80=	37212.51	if hcode==	144	;
replace hrgdpwok80=	49115.06	if hcode==	146	;
replace hrgdpwok80=	35004.38	if hcode==	112	;
replace hrgdpwok90=	51413.71	if hcode==	122	;
replace hrgdpwok90=	53559.51	if hcode==	124	;
replace hrgdpwok90=	43200.88	if hcode==	128	;
replace hrgdpwok90=	37111.79	if hcode==	172	;
replace hrgdpwok90=	49823.93	if hcode==	132	;
replace hrgdpwok90=	45868.16	if hcode==	134	;
replace hrgdpwok90=	29336.96	if hcode==	174	;
replace hrgdpwok90=	42352.41	if hcode==	178	;
replace hrgdpwok90=	46810.65	if hcode==	136	;
replace hrgdpwok90=	48825.11	if hcode==	138	;
replace hrgdpwok90=	54975.77	if hcode==	142	;
replace hrgdpwok90=	29815.19	if hcode==	182	;
replace hrgdpwok90=	39184.21	if hcode==	184	;
replace hrgdpwok90=	40344.93	if hcode==	144	;
replace hrgdpwok90=	51048.5	if hcode==	146	;
replace hrgdpwok90=	42499.79	if hcode==	112	;
replace hrgdpwok00=	59098.42	if hcode==	122	;
replace hrgdpwok00=	60708.27	if hcode==	124	;
replace hrgdpwok00=	50954.38	if hcode==	128	;
replace hrgdpwok00=	46523.31	if hcode==	172	;
replace hrgdpwok00=	56270.25	if hcode==	132	;
replace hrgdpwok00=	51320.01	if hcode==	134	;
replace hrgdpwok00=	33961.84	if hcode==	174	;
replace hrgdpwok00=	62622.16	if hcode==	178	;
replace hrgdpwok00=	51653.47	if hcode==	136	;
replace hrgdpwok00=	56955.74	if hcode==	138	;
replace hrgdpwok00=	65028.82	if hcode==	142	;
replace hrgdpwok00=	34266.33	if hcode==	182	;
replace hrgdpwok00=	45587.41	if hcode==	184	;
replace hrgdpwok00=	47243.21	if hcode==	144	;
replace hrgdpwok00=	54464.44	if hcode==	146	;
replace hrgdpwok00=	50544.36	if hcode==	112	;

replace srgdpch50=	6102.86	if scode==	122	;
replace srgdpch50=	7103.791	if scode==	124	;
replace srgdpch50=	9291.629	if scode==	128	;
replace srgdpch50=	6235.879	if scode==	172	;
replace srgdpch50=	6999.594	if scode==	132	;
replace srgdpch50=	.	if scode==	134	;
replace srgdpch50=	3376.47	if scode==	174	;
replace srgdpch50=	4729.002	if scode==	178	;
replace srgdpch50=	5380.066	if scode==	136	;
replace srgdpch50=	8675.932	if scode==	138	;
replace srgdpch50=	8389.135	if scode==	142	;
replace srgdpch50=	2944.497	if scode==	182	;
replace srgdpch50=	3882.103	if scode==	184	;
replace srgdpch50=	9520.243	if scode==	144	;
replace srgdpch50=	12541.08	if scode==	146	;
replace srgdpch50=	9037.892	if scode==	112	;
replace srgdpch60=	10025.15	if scode==	122	;
replace srgdpch60=	9852.953	if scode==	124	;
replace srgdpch60=	13837.85	if scode==	128	;
replace srgdpch60=	9269.069	if scode==	172	;
replace srgdpch60=	10534.08	if scode==	132	;
replace srgdpch60=	.	if scode==	134	;
replace srgdpch60=	5848.721	if scode==	174	;
replace srgdpch60=	6317.512	if scode==	178	;
replace srgdpch60=	9031.284	if scode==	136	;
replace srgdpch60=	12156.74	if scode==	138	;
replace srgdpch60=	11261.53	if scode==	142	;
replace srgdpch60=	4896.287	if scode==	182	;
replace srgdpch60=	7027.959	if scode==	184	;
replace srgdpch60=	13143.77	if scode==	144	;
replace srgdpch60=	17638.82	if scode==	146	;
replace srgdpch60=	11381.61	if scode==	112	;
replace srgdpch70=	15249.54	if scode==	122	;
replace srgdpch70=	14637.78	if scode==	124	;
replace srgdpch70=	17885.53	if scode==	128	;
replace srgdpch70=	13608.23	if scode==	172	;
replace srgdpch70=	15368.16	if scode==	132	;
replace srgdpch70=	15358.66	if scode==	134	;
replace srgdpch70=	10429.44	if scode==	174	;
replace srgdpch70=	9050.033	if scode==	178	;
replace srgdpch70=	13269.63	if scode==	136	;
replace srgdpch70=	16670.6	if scode==	138	;
replace srgdpch70=	16087.05	if scode==	142	;
replace srgdpch70=	8524.783	if scode==	182	;
replace srgdpch70=	11160.76	if scode==	184	;
replace srgdpch70=	16866.54	if scode==	144	;
replace srgdpch70=	21982.19	if scode==	146	;
replace srgdpch70=	14332.57	if scode==	112	;
replace srgdpch80=	19217.05	if scode==	122	;
replace srgdpch80=	17850.88	if scode==	124	;
replace srgdpch80=	20434.12	if scode==	128	;
replace srgdpch80=	17581.63	if scode==	172	;
replace srgdpch80=	18738.3	if scode==	132	;
replace srgdpch80=	18449.01	if scode==	134	;
replace srgdpch80=	11510.73	if scode==	174	;
replace srgdpch80=	11039.57	if scode==	178	;
replace srgdpch80=	17022.57	if scode==	136	;
replace srgdpch80=	18462.77	if scode==	138	;
replace srgdpch80=	21685.45	if scode==	142	;
replace srgdpch80=	10752.99	if scode==	182	;
replace srgdpch80=	12852.36	if scode==	184	;
replace srgdpch80=	19436.71	if scode==	144	;
replace srgdpch80=	24800.54	if scode==	146	;
replace srgdpch80=	17047.41	if scode==	112	;
replace srgdpch90=	23784.16	if scode==	122	;
replace srgdpch90=	21886.69	if scode==	124	;
replace srgdpch90=	24247.47	if scode==	128	;
replace srgdpch90=	18904.07	if scode==	172	;
replace srgdpch90=	22137.17	if scode==	132	;
replace srgdpch90=	22839.14	if scode==	134	;
replace srgdpch90=	12438.06	if scode==	174	;
replace srgdpch90=	16824.58	if scode==	178	;
replace srgdpch90=	20453.6	if scode==	136	;
replace srgdpch90=	22640.14	if scode==	138	;
replace srgdpch90=	28065.79	if scode==	142	;
replace srgdpch90=	14872.49	if scode==	182	;
replace srgdpch90=	16539.52	if scode==	184	;
replace srgdpch90=	21799.24	if scode==	144	;
replace srgdpch90=	27110.27	if scode==	146	;
replace srgdpch90=	21198.22	if scode==	112	;
replace srgdpch00=	27452.18	if scode==	122	;
replace srgdpch00=	25147.83	if scode==	124	;
replace srgdpch00=	28000.57	if scode==	128	;
replace srgdpch00=	23501.24	if scode==	172	;
replace srgdpch00=	25579.75	if scode==	132	;
replace srgdpch00=	25286.56	if scode==	134	;
replace srgdpch00=	15187.71	if scode==	174	;
replace srgdpch00=	27102.46	if scode==	178	;
replace srgdpch00=	22863.02	if scode==	136	;
replace srgdpch00=	26355.58	if scode==	138	;
replace srgdpch00=	33886.2	if scode==	142	;
replace srgdpch00=	17435.93	if scode==	182	;
replace srgdpch00=	20301.59	if scode==	184	;
replace srgdpch00=	25921.3	if scode==	144	;
replace srgdpch00=	28982.11	if scode==	146	;
replace srgdpch00=	25625.15	if scode==	112	;

replace srgdpwok50=	12452.02	if scode==	122	;
replace srgdpwok50=	17981.78	if scode==	124	;
replace srgdpwok50=	19670.69	if scode==	128	;
replace srgdpwok50=	13002.01	if scode==	172	;
replace srgdpwok50=	15657.58	if scode==	132	;
replace srgdpwok50=.		if scode==	134	;
replace srgdpwok50=	8282.328	if scode==	174	;
replace srgdpwok50=	11402.27	if scode==	178	;
replace srgdpwok50=	12633.55	if scode==	136	;
replace srgdpwok50=	22515.56	if scode==	138	;
replace srgdpwok50=	20421.2	if scode==	142	;
replace srgdpwok50=	7358.394	if scode==	182	;
replace srgdpwok50=	10011.95	if scode==	184	;
replace srgdpwok50=	21989.06	if scode==	144	;
replace srgdpwok50=	27209.52	if scode==	146	;
replace srgdpwok50=	19556.73	if scode==	112	;
replace srgdpwok60=	22250.85	if scode==	122	;
replace srgdpwok60=	25974.3	if scode==	124	;
replace srgdpwok60=	29500.29	if scode==	128	;
replace srgdpwok60=	19857.64	if scode==	172	;
replace srgdpwok60=	24550.54	if scode==	132	;
replace srgdpwok60=.		if scode==	134	;
replace srgdpwok60=	14729.41	if scode==	174	;
replace srgdpwok60=	16291.42	if scode==	178	;
replace srgdpwok60=	22408.45	if scode==	136	;
replace srgdpwok60=	33229.38	if scode==	138	;
replace srgdpwok60=	27947.13	if scode==	142	;
replace srgdpwok60=	12576.95	if scode==	182	;
replace srgdpwok60=	18399.43	if scode==	184	;
replace srgdpwok60=	29159.06	if scode==	144	;
replace srgdpwok60=	37716.38	if scode==	146	;
replace srgdpwok60=	24687.91	if scode==	112	;
replace srgdpwok70=	35143.18	if scode==	122	;
replace srgdpwok70=	37840.77	if scode==	124	;
replace srgdpwok70=	35452.86	if scode==	128	;
replace srgdpwok70=	27759.9	if scode==	172	;
replace srgdpwok70=	35442.05	if scode==	132	;
replace srgdpwok70=	32934.87	if scode==	134	;
replace srgdpwok70=	26810.78	if scode==	174	;
replace srgdpwok70=	24097.63	if scode==	178	;
replace srgdpwok70=	33540.1	if scode==	136	;
replace srgdpwok70=	43574.59	if scode==	138	;
replace srgdpwok70=	36317.33	if scode==	142	;
replace srgdpwok70=	19893.26	if scode==	182	;
replace srgdpwok70=	29725.8	if scode==	184	;
replace srgdpwok70=	34850.11	if scode==	144	;
replace srgdpwok70=	46269.12	if scode==	146	;
replace srgdpwok70=	30597.55	if scode==	112	;
replace srgdpwok80=	42289.06	if scode==	122	;
replace srgdpwok80=	44354.74	if scode==	124	;
replace srgdpwok80=	37363.51	if scode==	128	;
replace srgdpwok80=	34502.13	if scode==	172	;
replace srgdpwok80=	42676.02	if scode==	132	;
replace srgdpwok80=	37718.66	if scode==	134	;
replace srgdpwok80=	28756.12	if scode==	174	;
replace srgdpwok80=	29687.52	if scode==	178	;
replace srgdpwok80=	41112.73	if scode==	136	;
replace srgdpwok80=	43230.72	if scode==	138	;
replace srgdpwok80=	44461.18	if scode==	142	;
replace srgdpwok80=	22447.61	if scode==	182	;
replace srgdpwok80=	33085.3	if scode==	184	;
replace srgdpwok80=	37212.51	if scode==	144	;
replace srgdpwok80=	49115.06	if scode==	146	;
replace srgdpwok80=	35004.38	if scode==	112	;
replace srgdpwok90=	51413.71	if scode==	122	;
replace srgdpwok90=	53559.51	if scode==	124	;
replace srgdpwok90=	43200.88	if scode==	128	;
replace srgdpwok90=	37111.79	if scode==	172	;
replace srgdpwok90=	49823.93	if scode==	132	;
replace srgdpwok90=	45868.16	if scode==	134	;
replace srgdpwok90=	29336.96	if scode==	174	;
replace srgdpwok90=	42352.41	if scode==	178	;
replace srgdpwok90=	46810.65	if scode==	136	;
replace srgdpwok90=	48825.11	if scode==	138	;
replace srgdpwok90=	54975.77	if scode==	142	;
replace srgdpwok90=	29815.19	if scode==	182	;
replace srgdpwok90=	39184.21	if scode==	184	;
replace srgdpwok90=	40344.93	if scode==	144	;
replace srgdpwok90=	51048.5	if scode==	146	;
replace srgdpwok90=	42499.79	if scode==	112	;
replace srgdpwok00=	59098.42	if scode==	122	;
replace srgdpwok00=	60708.27	if scode==	124	;
replace srgdpwok00=	50954.38	if scode==	128	;
replace srgdpwok00=	46523.31	if scode==	172	;
replace srgdpwok00=	56270.25	if scode==	132	;
replace srgdpwok00=	51320.01	if scode==	134	;
replace srgdpwok00=	33961.84	if scode==	174	;
replace srgdpwok00=	62622.16	if scode==	178	;
replace srgdpwok00=	51653.47	if scode==	136	;
replace srgdpwok00=	56955.74	if scode==	138	;
replace srgdpwok00=	65028.82	if scode==	142	;
replace srgdpwok00=	34266.33	if scode==	182	;
replace srgdpwok00=	45587.41	if scode==	184	;
replace srgdpwok00=	47243.21	if scode==	144	;
replace srgdpwok00=	54464.44	if scode==	146	;
replace srgdpwok00=	50544.36	if scode==	112	;

replace sdomestic00high=	836068	if scode==	122	;
replace sdomestic00high=	1985459	if scode==	124	;
replace sdomestic00high=	820437	if scode==	128	;
replace sdomestic00high=	8859626	if scode==	132	;
replace sdomestic00high=	1.54E+07	if scode==	134	;
replace sdomestic00high=	3691498	if scode==	136	;
replace sdomestic00high=	2428427	if scode==	138	;
replace sdomestic00high=	663593	if scode==	142	;
replace sdomestic00high=	1709852	if scode==	144	;
replace sdomestic00high=	896480	if scode==	146	;
replace sdomestic00high=	940466	if scode==	172	;
replace sdomestic00high=	1174902	if scode==	174	;
replace sdomestic00high=	500129	if scode==	178	;
replace sdomestic00high=	607265	if scode==	182	;
replace sdomestic00high=	3529894	if scode==	184	;
replace sdomestic00high=	7190905	if scode==	112	;
replace sdomestic00low=	1784115	if scode==	122	;
replace sdomestic00low=	3696425	if scode==	124	;
replace sdomestic00low=	1336912	if scode==	128	;
replace sdomestic00low=	2.27E+07	if scode==	132	;
replace sdomestic00low=	6165519	if scode==	134	;
replace sdomestic00low=	2.79E+07	if scode==	136	;
replace sdomestic00low=	3609314	if scode==	138	;
replace sdomestic00low=	808515	if scode==	142	;
replace sdomestic00low=	1558855	if scode==	144	;
replace sdomestic00low=	3407040	if scode==	146	;
replace sdomestic00low=	1323526	if scode==	172	;
replace sdomestic00low=	4362473	if scode==	174	;
replace sdomestic00low=	1080150	if scode==	178	;
replace sdomestic00low=	5696859	if scode==	182	;
replace sdomestic00low=	2.03E+07	if scode==	184	;
replace sdomestic00low=	1.27E+07	if scode==	112	;
replace sdomestic00med=	3181817	if scode==	122	;
replace sdomestic00med=	1551117	if scode==	124	;
replace sdomestic00med=	1590651	if scode==	128	;
replace sdomestic00med=	8859626	if scode==	132	;
replace sdomestic00med=	3.87E+07	if scode==	134	;
replace sdomestic00med=	1.10E+07	if scode==	136	;
replace sdomestic00med=	5071259	if scode==	138	;
replace sdomestic00med=	1578893	if scode==	142	;
replace sdomestic00med=	2950294	if scode==	144	;
replace sdomestic00med=	896480	if scode==	146	;
replace sdomestic00med=	1316008	if scode==	172	;
replace sdomestic00med=	2212625	if scode==	174	;
replace sdomestic00med=	728720	if scode==	178	;
replace sdomestic00med=	584876	if scode==	182	;
replace sdomestic00med=	5041057	if scode==	184	;
replace sdomestic00med=	2.05E+07	if scode==	112	;
replace sdomestic90high=	585492	if scode==	122	;
replace sdomestic90high=	1404829	if scode==	124	;
replace sdomestic90high=	675850	if scode==	128	;
replace sdomestic90high=	8051435	if scode==	132	;
replace sdomestic90high=	1.22E+07	if scode==	134	;
replace sdomestic90high=	2450511	if scode==	136	;
replace sdomestic90high=	1547678	if scode==	138	;
replace sdomestic90high=	437088	if scode==	142	;
replace sdomestic90high=	1202352	if scode==	144	;
replace sdomestic90high=	814418	if scode==	146	;
replace sdomestic90high=	681346	if scode==	172	;
replace sdomestic90high=	724268	if scode==	174	;
replace sdomestic90high=	272053	if scode==	178	;
replace sdomestic90high=	409760	if scode==	182	;
replace sdomestic90high=	2373413	if scode==	184	;
replace sdomestic90high=	5290335	if scode==	112	;
replace sdomestic90low=	2170069	if scode==	122	;
replace sdomestic90low=	4002004	if scode==	124	;
replace sdomestic90low=	1362900	if scode==	128	;
replace sdomestic90low=	1.63E+07	if scode==	132	;
replace sdomestic90low=	1.02E+07	if scode==	134	;
replace sdomestic90low=	2.95E+07	if scode==	136	;
replace sdomestic90low=	4776454	if scode==	138	;
replace sdomestic90low=	1194336	if scode==	142	;
replace sdomestic90low=	2255595	if scode==	144	;
replace sdomestic90low=	1328861	if scode==	146	;
replace sdomestic90low=	1665925	if scode==	172	;
replace sdomestic90low=	4629452	if scode==	174	;
replace sdomestic90low=	1162230	if scode==	178	;
replace sdomestic90low=	5462416	if scode==	182	;
replace sdomestic90low=	1.95E+07	if scode==	184	;
replace sdomestic90low=	1.62E+07	if scode==	112	;
replace sdomestic90med=	2453439	if scode==	122	;
replace sdomestic90med=	1360167	if scode==	124	;
replace sdomestic90med=	1461250	if scode==	128	;
replace sdomestic90med=	1.23E+07	if scode==	132	;
replace sdomestic90med=	3.35E+07	if scode==	134	;
replace sdomestic90med=	6950894	if scode==	136	;
replace sdomestic90med=	3558868	if scode==	138	;
replace sdomestic90med=	1152576	if scode==	142	;
replace sdomestic90med=	2394053	if scode==	144	;
replace sdomestic90med=	2580721	if scode==	146	;
replace sdomestic90med=	1025729	if scode==	172	;
replace sdomestic90med=	1309280	if scode==	174	;
replace sdomestic90med=	518717	if scode==	178	;
replace sdomestic90med=	431824	if scode==	182	;
replace sdomestic90med=	3177068	if scode==	184	;
replace sdomestic90med=	1.65E+07	if scode==	112	;


replace h_gini=	0.433	if hcode==	122	;
replace h_gini=	0.494	if hcode==	124	;
replace h_gini=	0.417	if hcode==	128	;
replace h_gini=	0.386	if hcode==	172	;
replace h_gini=	0.482	if hcode==	132	;
replace h_gini=	0.507	if hcode==	134	;
replace h_gini=	0.454	if hcode==	174	;
replace h_gini=	0.416	if hcode==	178	;
replace h_gini=	0.557	if hcode==	136	;
replace h_gini=	0.423	if hcode==	138	;
replace h_gini=	0.433	if hcode==	142	;
replace h_gini=	0.542	if hcode==	182	;
replace h_gini=	0.338	if hcode==	184	;
replace h_gini=	0.432	if hcode==	144	;
replace h_gini=	0.352	if hcode==	146	;
replace h_gini=	0.46	if hcode==	112	;
replace s_gini=	0.433	if scode==	122	;
replace s_gini=	0.494	if scode==	124	;
replace s_gini=	0.417	if scode==	128	;
replace s_gini=	0.386	if scode==	172	;
replace s_gini=	0.482	if scode==	132	;
replace s_gini=	0.507	if scode==	134	;
replace s_gini=	0.454	if scode==	174	;
replace s_gini=	0.416	if scode==	178	;
replace s_gini=	0.557	if scode==	136	;
replace s_gini=	0.423	if scode==	138	;
replace s_gini=	0.433	if scode==	142	;
replace s_gini=	0.542	if scode==	182	;
replace s_gini=	0.338	if scode==	184	;
replace s_gini=	0.432	if scode==	144	;
replace s_gini=	0.352	if scode==	146	;
replace s_gini=	0.46	if scode==	112	;


save C:\Alon\CRS_migration\Data\demo, replace;

