* generating the fitted values of migration and conducting the regressions;

#delimit;
clear;
set more off;
set mem 200m;
set matsize 300;

do C:\Alon\CRS_migration\dofiles\demo_dataset;
use C:\Alon\CRS_migration\Data\demo.dta;


reg mig2000low_new comlang distance , robust;
predict fitmig2000low;

reg mig2000med_new comlang distance , robust;
predict fitmig2000med;

reg mig2000high_new comlang distance , robust;
predict fitmig2000high;

reg mig1990low_new comlang distance , robust;
predict fitmig1990low;

reg mig1990med_new comlang distance , robust;
predict fitmig1990med;

reg mig1990high_new comlang distance , robust;
predict fitmig1990high;



egen tfitmig2000high=total(fitmig2000high) , by (hcode);
egen tfitmig2000med=total(fitmig2000med)   , by (hcode);
egen tfitmig2000low=total(fitmig2000low)   , by (hcode);

egen tfitmig1990high=total(fitmig1990high) , by (hcode);
egen tfitmig1990med=total(fitmig1990med)   , by (hcode);
egen tfitmig1990low=total(fitmig1990low)   , by (hcode);




collapse tmig2000high tmig2000med tmig2000low tmig1990high tmig1990med tmig1990low 
tfitmig2000high tfitmig2000med tfitmig2000low tfitmig1990high tfitmig1990med tfitmig1990low 
h_english h_french h_ger_fre h_german h2000_govjobs 
h_scandinavian hdomestic00high hdomestic00low hdomestic00med hdomestic90high hdomestic90low 
hdomestic90med h_benefits80_05 h_benefits85_05 h_benefits90_05 h_benefits95_05 h_benefits00_05 
hpop50 hpop60 hpop70 hpop80 hpop90 hpop00 hrgdpch50 hrgdpch60 hrgdpch70 hrgdpch80 hrgdpch90 hrgdpch00 
hrgdpwok50 hrgdpwok60 hrgdpwok70 hrgdpwok80 hrgdpwok90 hrgdpwok00 h_old90 h_old00 h_unemp90 h_unemp00 h_gini, by(hcode);

gen host=".";
replace host="	Austria	" if hcode==	122	;
replace host="	Belgium	" if hcode==	124	;
replace host="	Denmark	" if hcode==	128	;
replace host="	France	" if hcode==	132	;
replace host="	Germany	" if hcode==	134	;
replace host="	Italy	" if hcode==	136	;
replace host="	Netherlands	" if hcode==	138	;
replace host="	Norway	" if hcode==	142	;
replace host="	Sweden	" if hcode==	144	;
replace host="	Switzerland	" if hcode==	146	;
replace host="	Finland	" if hcode==	172	;
replace host="	Greece	" if hcode==	174	;
replace host="	Ireland	" if hcode==	178	;
replace host="	Portugal	" if hcode==	182	;
replace host="	Spain	" if hcode==	184	;
replace host="	UK	" if hcode==	112	;

order hcode host;
*the following is the active file of cross section data;
save C:\Alon\CRS_migration\Data\demo2.dta,replace;

gen h_old00a=h_old00*100;
gen hdomestic00higha=hdomestic00high/1000;
gen hdomestic00meda=hdomestic00med/1000;
gen hdomestic00lowa=hdomestic00low/1000;
gen tmig1990higha=tmig1990high/1000;
gen tmig1990meda=tmig1990med/1000;
gen tmig1990lowa=tmig1990low/1000;
gen tfitmig1990higha=tfitmig1990high/1000;
gen tfitmig1990meda=tfitmig1990med/1000;
gen tfitmig1990lowa=tfitmig1990low/1000;

gen tfitmig2000higha=tfitmig2000high/1000;
gen tfitmig2000meda=tfitmig2000med/1000;
gen tfitmig2000lowa=tfitmig2000low/1000;


gen hrgdpch00a=hrgdpch00/1000;
gen lhrgdpch00=log(hrgdpch00);
gen lh_old00a=log(h_old00a);

gen lh_benefits00_05=log(h_benefits00_05);
gen h_benefits00_05a=h_benefits00_05/1000;


***OLS using the migration data***;

reg  h_benefits00_05 tmig1990higha tmig1990lowa, robust;
outreg  tmig1990higha tmig1990lowa
using "C:\Alon\CRS_migration\results\robust_no_controls", se bdec(3) tdec(3) nocons nolabel 3aster replace;


***OLS using the fitted value of the migration data***;

reg  h_benefits00_05 tfitmig1990higha tfitmig1990lowa, robust;
outreg tfitmig1990higha tfitmig1990lowa
using "C:\Alon\CRS_migration\results\robust_no_controls", se bdec(3) tdec(3) nocons nolabel 3aster append;


